Skip to content
Changelog

Report a bug

Alchemy integration: operations for AI agents

Alchemy connects to Type.com as an integration. This page lists the 49 operations documented for Claude and Codex in Type.com: 21 read, 21 write, 7 destructive.

About Alchemy

Alchemy is a blockchain development platform that provides powerful APIs and developer tools for building and scaling Ethereum applications

Categories: Developer Tools & IT

How to connect Alchemy to Type.com

Access
Organization connection: one shared account for the workspace.
MCP
This integration is not available through Type’s MCP server. It remains available in Type.

To add the connection, follow the steps in Space connections.

Documented operations

49 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

49 operations listed.

NFT Ownership Endpoints

  • Read

    NFTs By Owner

    getNFTsForOwner - Retrieves all NFTs currently owned by a specified address. This endpoint is supported on Ethereum and many L2s, including Polygon, Arbitrum, Optimism, Base, World Chain and more. See the full list of supported networks here.

  • Read

    Owners By NFT

    getOwnersForNFT - Retrieves the owner(s) for a specific token. This endpoint is supported on Ethereum and many L2s, including Polygon, Arbitrum, Optimism, Base, World Chain and more. See the full list of supported networks here.

  • Read

    Owners By Contract

    getOwnersForContract - Retrieves all owners associated with a specific NFT contract. This endpoint is supported on Ethereum and many L2s, including Polygon, Arbitrum, Optimism, Base, World Chain and more. See the full list of supported networks here.

  • Read

    Contracts By Owner

    getContractsForOwner - Retrieves all NFT contracts held by a specified owner address.

NFT Metadata Endpoints

  • Read

    NFTs By Contract

    getNFTsForContract - Retrieves all NFTs associated with a specific NFT contract. This endpoint is supported on Ethereum and many L2s, including Polygon, Arbitrum, Optimism, Base, World Chain and more. See the full list of supported networks here.

  • Read

    NFTs By Collection

    getNFTsForCollection - Retrieves all NFTs associated with a specific NFT collection. This endpoint is supported on Ethereum and many L2s, including Polygon, Arbitrum, Optimism, Base, World Chain and more. See the full list of supported networks here.

  • Read

    NFT Metadata By Token ID

    getNFTMetadata - Retrieves the metadata associated with a specific NFT. This endpoint is supported on Ethereum and many L2s, including Polygon, Arbitrum, Optimism, Base, World Chain and more. See the full list of supported networks here.

  • Read

    Contract Metadata By Address

    getContractMetadata - Retrieves high-level collection or contract-level information for an NFT. This endpoint is supported on Ethereum and many L2s, including Polygon, Arbitrum, Optimism, Base, World Chain and more. See the full list of supported networks here.

  • Write

    NFT Metadata By Token ID [Batch]

    getNFTMetadataBatch - Retrieves metadata for up to 100 specified NFT contracts in a single request. This endpoint is supported on Ethereum and many L2s, including Polygon, Arbitrum, Optimism, Base, World Chain and more. See the full list of supported networks here.

  • Write

    Contract Metadata By Address [Batch]

    getContractMetadataBatch - Retrieves metadata for a list of specified contract addresses in a single request.

  • Write

    Refresh NFT Metadata

    This endpoint is available to Enterprise customers only. Contact sales to request access before using it. Submits a request for Alchemy to refresh the cached metadata of a specific NFT token.

NFT Spam Endpoints

  • Read

    Is Spam Contract

    Determines whether a specific contract is marked as spam by Alchemy. Please note that this API endpoint is only available to paid tier customers. Upgrade your account here.

  • Read

    Report Spam Address

    Reports a specific address to the API if it is suspected to be spam. Spam NFT functionality is available on Mainnet for the following chains: Base, Arbitrum, Optimism, Ethereum, Polygon, Worldchain, Avax, BNB, Gnosis, Zksync, Unichain, and Blast. More to come soon!

NFT Sales Endpoints

  • Read

    Floor Prices By Slug

    Retrieves the floor prices of an NFT collection across different marketplaces. Please note that this endpoint is available on Ethereum mainnet, Arbitrum mainnet, and Base mainnet for Opensea, and on Ethereum mainnet for Looksrare.

Notify API Endpoints

  • Read

    Get Variable Elements

    This endpoint allows you to read the values within a Custom Webhook variable. It supports pagination with limit and after (and optionally pageKey) query parameters.

  • Read

    Get all webhooks

    This endpoint allows you to get all webhooks on your team.

  • Read

    Get all addresses for an Address Activity webhook

    Paginated endpoint to list all of the addresses a given Address Activity webhook is subscribed to.

  • Read

    Get all webhook NFT filters

    Paginated endpoint to list all of the NFT filter objects a given webhook is subscribed to.

  • Write

    Create a Variable

    This endpoint allows you to create a variable that can be inserted into a Custom Webhook GraphQL statement. If the variable does not exist, it is created with the provided items.

  • Write

    Update a Variable

    Add and remove elements within a Custom Webhook variable The use of both add and delete arrays within a single request is currently not supported. Attempting to send both will result in a 400 error. To add and remove elements, make separate API calls for each action.

  • Write

    Create webhook

    This endpoint allows you to create a webhook.

  • Write

    Add and remove webhook addresses

    Add or remove addresses from a specific webhook. This webhook endpoint is idempotent, meaning that identical requests can be made once or several times with the same effect.

  • Write

    Update webhook NFT filters

    Add and remove webhook NFT filters

  • Destructive

    Delete a Variable

    This endpoint allows you to delete a Custom Webhook variable

  • Destructive

    Replace webhook addresses

    Replace entire list of addresses tracked in a given webhook.

  • Destructive

    Update webhook

    Update webhook properties such as name or status.

  • Destructive

    Delete webhook

    Allows you to delete a webhook.

Assets

  • Write

    POST /{apiKey}/assets/tokens/by-address

    POST /{apiKey}/assets/tokens/by-address

  • Write

    POST /{apiKey}/assets/tokens/balances/by-address

    POST /{apiKey}/assets/tokens/balances/by-address

  • Write

    POST /{apiKey}/assets/nfts/by-address

    POST /{apiKey}/assets/nfts/by-address

  • Write

    POST /{apiKey}/assets/nfts/contracts/by-address

    POST /{apiKey}/assets/nfts/contracts/by-address

Transfers

  • Write

    POST /{apiKey}/transfers/by-address

    POST /{apiKey}/transfers/by-address

Prices API Endpoints

  • Read

    Token Prices By Symbol

    Fetches current prices for multiple tokens using their symbols. Returns a list of token prices, each containing the symbol, prices, and an optional error field.

  • Write

    Token Prices By Address

    Fetches current prices for multiple tokens using network and address pairs. Returns a list of token prices, each containing the network, address, prices, and an optional error field.

  • Write

    Historical Token Prices

    Provides historical price data for a single token over a time range. You can identify the token by symbol or by network and contract address.

Gas Manager

  • Read

    Get Policy

    Returns a policy by id. To call this endpoint, you must use your access token in the authorization header of the API request.

  • Read

    Get All Policies

    Returns all policies. The results are paginated. To call this endpoint, you must use your access token in the authorization header of the API request.

  • Read

    Get Policy Stats

    Returns stats about a policy specified by ID. To call this endpoint, you must use your access token in the authorization header of the API request.

  • Read

    Get Sponsorships

    Returns a list of sponsorships associated with the specified policy ID. The results are paginated. To call this endpoint, you must use your access token in the authorization header of the API request.

  • Write

    Create Policy

    Creates a new gas manager policy with the specified rules. The newly created policy will be in the inactive status. To call this endpoint, you must use your access token in the authorization header of the API request.

  • Destructive

    Replace Policy

    Replaces all rules in an existing policy by id. To call this endpoint, you must use your access token in the authorization header of the API request.

  • Destructive

    Delete Policy

    Deletes a policy by id. To call this endpoint, you must use your access token in the authorization header of the API request.

  • Destructive

    Update Policy Status

    Modifies the status of a policy to either "active" or "inactive". To call this endpoint, you must use your access token in the authorization header of the API request.

Auth

  • Write

    Send Auth Email

    Sends a user an email containing a magic link for authentication, allowing them to complete the login process and access their Smart Wallet through a secure, simple email verification method.

Whoami

  • Write

    Authenticate User

    Authenticates a user and returns their identity and wallet information, enabling the application to grant the user access to their Smart Wallet functionalities.

Lookup

  • Read

    Get User

    Enables applications to query the existence of a user wallet based on an email address.

Otp

  • Write

    Verify OTP Code

    Verifies a one-time password (OTP) code sent to the user's email for authentication. This endpoint allows users to complete the authentication process by providing the OTP code they received, enabling secure access to their Smart Wallet functionalities.

Auth jwt

  • Write

    Authenticate with JWT

    Authenticates an existing user using a JSON Web Token (JWT) for secure access to their Smart Wallet functionality. New user signup and wallet pregeneration are no longer supported as of June 16, 2026 because Alchemy Signer APIs are being sunset.

Sign payload

  • Write

    Sign Message

    Allows for the signing of arbitrary payloads using the authenticated user's signer. The payload to be signed should be included within the body of a stamped request, ensuring the integrity and authenticity of the message to be signed.

See How connections work for access and permissions, or browse all integrations.